$(function () {
    function createSubject(name, abbr, callback) {
        $.post(g_URLdir + 'handler/subjects/create', {
            'facultyID': $('#facultySelect').val(),
            'name': name,
            'abbr': abbr
        }, callback, 'json');
    }

    var $name = $('#SubjectName');
    var $abbr = $('#SubjectAbbr');

    function tryToAddSubject() {
        if ($name.val().length == 0) {
            $name.focus();
        } else if (!$abbr.is(':focus') && $abbr.val().length == 0) {
            $abbr.focus();
        } else {
            createSubject($name.val(), $abbr.val(), function (res) {
                if (res.success) 
                    $name.add($abbr).val('');
                
                EventInspector.show(res.message, res.success ? 'success' : 'error');
                
                $name.focus();
            });
        }
    }

    $('#addSubject').click(tryToAddSubject);

    $name.add($abbr).keypress(function (event) {
        if (event.keyCode == 13)
            tryToAddSubject();
    });
});
